Bug 1063140 - Review Request: tofrodos - Converts text files between MSDOS and Unix file formats
Summary: Review Request: tofrodos - Converts text files between MSDOS and Unix file fo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1062854
TreeView+ depends on / blocked
 
Reported: 2014-02-10 06:26 UTC by Christopher Meng
Modified: 2014-03-17 05:57 UTC (History)
2 users (show)

Fixed In Version: tofrodos-1.7.13-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-09 04:45:10 UTC
Type: ---
orion: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Christopher Meng 2014-02-10 06:26:40 UTC
Spec URL: http://cicku.me/tofrodos.spec
SRPM URL: http://cicku.me/tofrodos-1.7.13-1.fc21.src.rpm
Description: Tofrodos is a text file conversion utility that converts ASCII and Unicode 
UTF-8 files between the MSDOS (or Windows) format, which traditionally have 
CR/LF (carriage return/line feed) pairs as their new line delimiters, and 
the Unix format, which usually have LFs (line feeds) to terminate each line.

It is a useful utility to have around when you have to convert files between 
MSDOS (or Windows) and Unix/Linux/BSD (and her clones and variants). It comes 
standard with a number of systems and is often found on the system as "todos",
"fromdos", "dos2unix" and "unix2dos".
Fedora Account System Username: cicku

Comment 1 Orion Poplawski 2014-02-20 22:46:57 UTC
What does todos and fromdos do that unix2dos and dos2unix does not?

Comment 2 Christopher Meng 2014-02-21 05:59:04 UTC
(In reply to Orion Poplawski from comment #1)
> What does todos and fromdos do that unix2dos and dos2unix does not?

Yes, this is also a question to those people who love reinventing the wheels often. Currently it's a building dependency of advancecomp in %check section, I don't want to hack the code so just package this tool. Anyway it's harmless.

Comment 3 Orion Poplawski 2014-02-25 05:24:54 UTC
Well, debian seems to ship it as well, so at least we have company.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

==== Issues ====

I think the license is actually GPLv2.  readme.txt contains:

They are distributed under the terms of the GNU General Public License
Version 2, a copy of which is enclosed in this package in the file COPYING.


- Need to sync spec/src.rpm (see summary diff)

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 13 files have unknown license. Detailed output of
     licensecheck in
     /export/home/orion/redhat/1063140-tofrodos/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 51200 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see attached
     diff).
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: tofrodos-1.7.13-1.fc20.x86_64.rpm
          tofrodos-1.7.13-1.fc20.src.rpm
tofrodos.x86_64: W: spelling-error Summary(en_US) Recompression -> Decompression, Re compression, Re-compression
tofrodos.x86_64: E: incorrect-fsf-address /usr/share/doc/tofrodos/COPYING
tofrodos.src: W: spelling-error Summary(en_US) Recompression -> Decompression, Re compression, Re-compression
tofrodos.src: W: spelling-error %description -l en_US todos -> dodos, to dos, to-dos
tofrodos.src: W: spelling-error %description -l en_US fromdos -> from dos, from-dos, freedoms
2 packages and 0 specfiles checked; 1 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint tofrodos
tofrodos.x86_64: W: spelling-error Summary(en_US) Recompression -> Decompression, Re compression, Re-compression
tofrodos.x86_64: E: incorrect-fsf-address /usr/share/doc/tofrodos/COPYING
1 packages and 0 specfiles checked; 1 errors, 1 warnings.
# echo 'rpmlint-done:'



Diff spec file in url and in SRPM
---------------------------------
--- /export/home/orion/redhat/1063140-tofrodos/srpm/tofrodos.spec       2014-02-24 21:52:44.082901722 -0700
+++ /export/home/orion/redhat/1063140-tofrodos/srpm-unpacked/tofrodos.spec      2014-02-09 23:22:17.000000000 -0700
@@ -2,5 +2,5 @@
 Version:        1.7.13
 Release:        1%{?dist}
-Summary:        Converts text files between MSDOS and Unix file formats
+Summary:        Recompression utilities for .PNG, .MNG and .ZIP files
 License:        GPLv2+
 URL:            http://www.thefreecountry.com/tofrodos/


Requires
--------
tofrodos (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    rtld(GNU_HASH)



Provides
--------
tofrodos:
    tofrodos
    tofrodos(x86-64)



Source checksums
----------------
http://tofrodos.sourceforge.net/download/tofrodos-1.7.13.tar.gz :
  CHECKSUM(SHA256) this package     : 3457f6f3e47dd8c6704049cef81cb0c5a35cc32df9fe800b5fbb470804f0885f
  CHECKSUM(SHA256) upstream package : 3457f6f3e47dd8c6704049cef81cb0c5a35cc32df9fe800b5fbb470804f0885f


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1063140
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 4 Christopher Meng 2014-02-25 05:38:25 UTC
Corrected.

I don't why the SRPM was corrupted..

Spec URL: http://cicku.me/tofrodos.spec
SRPM URL: http://cicku.me/tofrodos-1.7.13-2.fc21.src.rpm

Comment 5 Orion Poplawski 2014-02-25 18:16:33 UTC
Looks good.  Approved.

Comment 6 Christopher Meng 2014-02-26 02:52:33 UTC
Thank you.

New Package SCM Request
=======================
Package Name: tofrodos
Short Description: Converts text files between MSDOS and Unix file formats
Owners: cicku
Branches: f20 f19 el6 epel7

Comment 7 Gwyn Ciesla 2014-02-26 13:03:43 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2014-02-27 04:07:03 UTC
tofrodos-1.7.13-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/tofrodos-1.7.13-2.fc20

Comment 9 Fedora Update System 2014-02-27 04:07:14 UTC
tofrodos-1.7.13-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/tofrodos-1.7.13-2.fc19

Comment 10 Fedora Update System 2014-02-27 04:07:23 UTC
tofrodos-1.7.13-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/tofrodos-1.7.13-2.el6

Comment 11 Fedora Update System 2014-02-28 18:27:39 UTC
tofrodos-1.7.13-2.fc19 has been pushed to the Fedora 19 testing repository.

Comment 12 Fedora Update System 2014-03-09 04:45:10 UTC
tofrodos-1.7.13-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 13 Fedora Update System 2014-03-09 04:45:30 UTC
tofrodos-1.7.13-2.fc19 has been pushed to the Fedora 19 stable repository.

Comment 14 Fedora Update System 2014-03-17 05:57:55 UTC
tofrodos-1.7.13-2.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.